## ros-melodic-mesh-msgs-hdf5 1.0.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.4.6)

project(mesh_msgs_hdf5)

set(PACKAGE_DEPENDENCIES
  mesh_msgs
  hdf5_map_io
  label_manager
)

find_package(catkin REQUIRED COMPONENTS ${PACKAGE_DEPENDENCIES})
find_package(HDF5 REQUIRED COMPONENTS C CXX HL)

### compile with c++11
if ("${CMAKE_VERSION}" VERSION_LESS "3.1")
  if ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU")
    set(CMAKE_CXX_FLAGS "--std=gnu++14 ${CMAKE_CXX_FLAGS}")
  endif ()
else ()
  set(CMAKE_CXX_STANDARD 14)
endif ()

include_directories(
  include
)

include_directories(
  ${catkin_INCLUDE_DIRS}
  ${HDF5_INCLUDE_DIRS}
)

catkin_package(
  CATKIN_DEPENDS ${PACKAGE_DEPENDENCIES}
  INCLUDE_DIRS include
  DEPENDS HDF5
  LIBRARIES ${PROJECT_NAME}
)

add_library(${PROJECT_NAME}
  src/mesh_msgs_hdf5.cpp
)

link_directories(${HDF5_LIBRARIES} ${HDF5_HL_LIBRARIES})

add_dependencies(${PROJECT_NAME} ${catkin_EXPORTED_TARGETS})

#add_executable(${PROJECT_NAME}_node src/hdf5_to_msg_node.cpp)
#target_link_libraries(${PROJECT_NAME}_node
#  ${catkin_LIBRARIES}
#  ${HDF5_LIBRARIES}
#)

#install(
#  DIRECTORY launch DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
#)

install(
  TARGETS ${PROJECT_NAME}# ${PROJECT_NAME}_node
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(
  DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

=== debian/changelog ===
ros-melodic-mesh-msgs-hdf5 (1.0.1-1stretch) stretch; urgency=high



 -- Sebastian Pütz <spuetz@uos.de>  Tue, 10 Nov 2020 23:00:00 -0000

ros-melodic-mesh-msgs-hdf5 (1.0.0-1stretch) stretch; urgency=high

  * release version 1.0.0

 -- Sebastian Pütz <spuetz@uos.de>  Sat, 25 Apr 2020 22:00:00 -0000

=== debian/control ===
Source: ros-melodic-mesh-msgs-hdf5
Section: misc
Priority: optional
Maintainer: Sebastian Pütz <spuetz@uos.de>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-hdf5-map-io, ros-melodic-label-manager, ros-melodic-mesh-msgs
Homepage: http://wiki.ros.org/ros_mesh_tools/mesh_msgs_hdf5
Standards-Version: 3.9.2

Package: ros-melodic-mesh-msgs-hdf5
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-hdf5-map-io, ros-melodic-label-manager, ros-melodic-mesh-msgs
Description: Read and write mesh_msgs to and from hdf5

## ros-melodic-mesh-msgs-hdf5 1.1.0

=== debian/changelog ===
ros-melodic-mesh-msgs-hdf5 (1.1.0-1bionic) bionic; urgency=high

  * added publishing of mesh_msgs to mesh_msgs_hdf5 package
  * fixed hdf5 to mesh_msgs publisher node
  * resolved catkin lint problems

 -- Sebastian Pütz <spuetz@uos.de>  Tue, 26 Oct 2021 22:00:00 -0000

ros-melodic-mesh-msgs-hdf5 (1.0.1-1bionic) bionic; urgency=high



 -- Sebastian Pütz <spuetz@uos.de>  Tue, 10 Nov 2020 23:00:00 -0000

ros-melodic-mesh-msgs-hdf5 (1.0.0-1bionic) bionic; urgency=high

  * release version 1.0.0

 -- Sebastian Pütz <spuetz@uos.de>  Sat, 25 Apr 2020 22:00:00 -0000

=== debian/control ===
--- 
+++ 
@@ -9,4 +9,4 @@
 Package: ros-melodic-mesh-msgs-hdf5
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-hdf5-map-io, ros-melodic-label-manager, ros-melodic-mesh-msgs
-Description: Read and write mesh_msgs to and from hdf5
+Description: Read mesh_msgs from hdf5

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-mesh-msgs-hdf5//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
